Freeciv-3.3: player_spaceship Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
player_spaceship Struct Reference

`#include <spaceship.h>`

## Data Fields

int | structurals
int | components
int | modules
bv_spaceship_structure | structure
int | fuel
int | propulsion
int | habitation
int | life_support
int | solar_panels
enum spaceship_state | state
int | launch_year
int | population
int | mass
double | support_rate
double | energy_rate
double | success_rate
double | travel_time

## Detailed Description

Definition at line 94 of file spaceship.h.

## Field Documentation

## ◆ components

int player_spaceship::components

Definition at line 97 of file spaceship.h.

Referenced by can_player_build_improvement_direct(), city_build_building(), and dai_manage_spaceship().

## ◆ energy_rate

double player_spaceship::energy_rate

Definition at line 114 of file spaceship.h.

## ◆ fuel

int player_spaceship::fuel

Definition at line 102 of file spaceship.h.

## ◆ habitation

int player_spaceship::habitation

Definition at line 104 of file spaceship.h.

## ◆ launch_year

int player_spaceship::launch_year

Definition at line 109 of file spaceship.h.

Referenced by spaceship_arrival().

## ◆ life_support

int player_spaceship::life_support

Definition at line 105 of file spaceship.h.

## ◆ mass

int player_spaceship::mass

Definition at line 112 of file spaceship.h.

## ◆ modules

int player_spaceship::modules

Definition at line 98 of file spaceship.h.

Referenced by can_player_build_improvement_direct(), city_build_building(), and dai_manage_spaceship().

## ◆ population

int player_spaceship::population

Definition at line 111 of file spaceship.h.

Referenced by get_spaceship_score().

## ◆ propulsion

int player_spaceship::propulsion

Definition at line 103 of file spaceship.h.

## ◆ solar_panels

int player_spaceship::solar_panels

Definition at line 106 of file spaceship.h.

## ◆ state

enum spaceship_state player_spaceship::state

Definition at line 108 of file spaceship.h.

Referenced by achievement_check(), calc_civ_score(), can_player_build_improvement_direct(), city_build_building(), dai_effect_value(), dai_manage_spaceship(), handle_spaceship_info(), refresh_spaceship_dialog(), spaceship_arrived(), and update_players_menu().

## ◆ structurals

int player_spaceship::structurals

Definition at line 96 of file spaceship.h.

Referenced by can_player_build_improvement_direct(), city_build_building(), and dai_manage_spaceship().

## ◆ structure

bv_spaceship_structure player_spaceship::structure

Definition at line 100 of file spaceship.h.

## ◆ success_rate

double player_spaceship::success_rate

Definition at line 115 of file spaceship.h.

Referenced by get_spaceship_score(), and refresh_spaceship_dialog().

## ◆ support_rate

double player_spaceship::support_rate

Definition at line 113 of file spaceship.h.

## ◆ travel_time

double player_spaceship::travel_time

Definition at line 116 of file spaceship.h.

Referenced by player_leading_spacerace().